Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000968 [Piwigo] display minor have not tried 2009.04.08 19:12 2009.07.05 12:22
Reporter repie38 View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.2 Product Version 2.0.1
  Target Version Product Build
Summary 0000968: UTF-8 support in maintenance mode
Description when gallery is locked and user not looged in, all we get is :
La galerie est verrouillée pour cause de maintenance. Revenir plus tard./galerie_perso/identification.php

cause there's no headers, it renders as :
La galerie est verrouillée pour cause de maintenance. Revenir plus tard..

not really a problem, but we should have a least a complete html structure, witch will allow to set utf8 among others
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002573)
repie38 (developer)
2009.04.08 19:21
edited on: 2009.04.08 19:22

correction, we get as source :
La galerie est verrouillée pour cause de maintenance. Revenir plus tard.[a href="/galerie_perso/identification.php"].[/a]
(< replaced by [ ...)

syntax was cut by mantis

(0002574)
repie38 (developer)
2009.04.11 03:17
edited on: 2009.04.11 03:19

line 174/175 of common.inc.php:
echo '<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body>'.l10n('gallery_locked_message')
      .''.get_absolute_root_url(false).'identification.php</body></html>';
that solve the bug, but we should at least use PWG_CHARSET ?

(0002595)
plg (manager)
2009.05.06 23:10

fixed on branch 2.0 in [Subversion] r3276
merged on trunk colibri in [Subversion] r3277

- Issue History
Date Modified Username Field Change
2009.04.08 19:12 repie38 New Issue
2009.04.08 19:12 repie38 browser => any
2009.04.08 19:12 repie38 Web server => Apache 1.3.x
2009.04.08 19:21 repie38 Note Added: 0002573
2009.04.08 19:22 repie38 Note Edited: 0002573
2009.04.08 20:53 nikrou Status new => confirmed
2009.04.11 03:17 repie38 Note Added: 0002574
2009.04.11 03:19 repie38 Note Edited: 0002574
2009.05.06 23:10 plg Status confirmed => assigned
2009.05.06 23:10 plg Assigned To => plg
2009.05.06 23:10 plg Note Added: 0002595
2009.05.06 23:10 plg Status assigned => resolved
2009.05.06 23:10 plg Fixed in Version => 2.0.2
2009.05.06 23:10 plg Resolution open => fixed
2009.07.05 12:22 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker